; ############  DIRECTOR AND EVENT CHANGES  ###########
; =====================================================
; ==          DIRECTOR & EVENT MODIFICATION          ==
; ==       Modify director behaviour and events      ==
; =====================================================
; --- Run nav fixes script
; --- Fix 1: Fixes a jesus spot on the spool by the 2 silos
add:
{
	"classname" "logic_auto"
	"OnMapSpawn" "director,RunScriptFile,nav_fixes/c4m2_sugarmill_a_navfixes,20,-1"
}
; --- Fix multiple unwanted witches being spawned
filter:
{
	"targetname" "spawn_witch"
}
{
	"targetname" "spawn_witch_vskeep"
}


; ################  ITEM SPAWN CHANGES  ###############
; =====================================================
; ==           PILL / ITEM / WEAPON SPAWNS           ==
; ==   Remove or change pill, item & weapon spawns   ==
; =====================================================
; --- Remove health cabinets
filter:
{
	"classname" "prop_health_cabinet"
}
modify:
; --- Ensure weapon spawn groups have a shotgun and uzi each
; --- Collapsed silos trailer
{
	match:
	{
		"hammerid" "1560351"
	}
	replace:
	{
		"weapon_selection" "tier1_shotgun"
	}
}
{
	match:
	{
		"hammerid" "1560353"
	}
	replace:
	{
		"weapon_selection" "any_smg"
	}
}
; --- Grinder area building
{
	match:
	{
		"hammerid" "1243857"
	}
	replace:
	{
		"weapon_selection" "tier1_shotgun"
	}
}
{
	match:
	{
		"hammerid" "1243855"
	}
	replace:
	{
		"weapon_selection" "any_smg"
	}
}
; --- Building by 2 silos
{
	match:
	{
		"hammerid" "1316493"
	}
	replace:
	{
		"weapon_selection" "tier1_shotgun"
	}
}
{
	match:
	{
		"hammerid" "1316495"
	}
	replace:
	{
		"weapon_selection" "any_smg"
	}
}
; --- Fix guns in the gas station saferoom falling to the ground
{
	match:
	{
		"targetname" "sniper03"
	}
	replace:
	{
		"spawnflags" "16"
	}
}
{
	match:
	{
		"targetname" "rifle03"
	}
	replace:
	{
		"spawnflags" "16"
	}
}
{
	match:
	{
		"targetname" "shotgun03"
	}
	replace:
	{
		"spawnflags" "16"
	}
}
; --- Remove useless/unreachable item spawns
filter:
; --- Upstairs of ducatel building by construction site
{
	"hammerid" "1402097"
}
{
	"hammerid" "1402099"
}
{
	"hammerid" "1402095"
}
{
	"hammerid" "1402093"
}
{
	"hammerid" "1402101"
}
{
	"hammerid" "1402103"
}
{
	"hammerid" "1402105"
}
{
	"hammerid" "1402107"
}
{
	"hammerid" "1402109"
}
{
	"hammerid" "1402111"
}
; --- Under some debris
{
	"hammerid" "1047766"
}

; =====================================================
; ==                STATIC AMMO PILES                ==
; ==          Add or modify ammo pile spawns         ==
; =====================================================
add:
; --- Ammo pile in the trailer near the start of the mill
{
	"classname" "weapon_ammo_spawn"
	"origin" "1113 -4256 139"
	"angles" "0 315 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
}
; --- Ammo pile in the locker room
{
	"classname" "weapon_ammo_spawn"
	"origin" "1566 -6111 104"
	"angles" "0 0 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
}
; --- Ammo pile in shack by elevator
{
	"classname" "weapon_ammo_spawn"
	"origin" "-1271 -9736 100"
	"angles" "0 0 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
}

; =====================================================
; ==                 HITTABLE CHANGES                ==
; ==           Add/remove/modify hittables           ==
; =====================================================


; #############  MAP CLIPPING AND ISSUES  #############
; =====================================================
; ==                 EXPLOITS BLOCKED                ==
; ==      Block intentionally performed exploits     ==
; =====================================================
add:
; --- Block window of ducatel building by the construction site that can be used to skip to top floor
{
	"classname" "env_physics_blocker"
	"origin" "4230 -3136 304"
	"mins" "-33 -9 -45"
	"maxs" "33 9 45"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on awning of ducatel building by construction site
{
	"classname" "env_physics_blocker"
	"origin" "4341 -3485 505"
	"mins" "-23 -66 -262"
	"maxs" "23 66 262"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the truck in the construction site
{
	"classname" "env_physics_blocker"
	"origin" "4441 -3784 524"
	"mins" "-268 -56 -224"
	"maxs" "268 56 224"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the transformer in the construction site
{
	"classname" "env_physics_blocker"
	"origin" "3960 -3968 499"
	"mins" "-59 -118 -269"
	"maxs" "59 118 269"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block various unintended/tickrate dependent ways of getting on top of the collapsed silo area (connected to the construction site)
; --- Pipe by locker room
{
	"classname" "env_physics_blocker"
	"origin" "2782 -4057 168"
	"angles" "0 -3 0"
	"mins" "-18.5 -76.5 -26.9"
	"maxs" "18.5 76.5 26.9"
	"boxmins" "-18.5 -76.5 -26.9"
	"boxmaxs" "18.5 76.5 26.9"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2787 -3918 168"
	"angles" "0 -3 0"
	"mins" "-18.5 -67.5 -26.9"
	"maxs" "18.5 67.5 26.9"
	"boxmins" "-18.5 -67.5 -26.9"
	"boxmaxs" "18.5 67.5 26.9"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Collapsed silos
{
	"classname" "env_physics_blocker"
	"origin" "2841 -4518 224"
	"mins" "-8 -28 -82"
	"maxs" "8 28 82"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2904 -4655 198"
	"mins" "-32.5 -56.5 -24"
	"maxs" "32.5 56.5 24"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2821 -4730 132"
	"mins" "-70.5 -21.5 -44"
	"maxs" "70.5 21.5 44"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2249 -4408 202"
	"mins" "-20 -38 -38.5"
	"maxs" "20 38 38.5"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "1977 -4537 194"
	"angles" "0 -10 0"
	"mins" "-29 -145 -12"
	"maxs" "29 145 12"
	"boxmins" "-29 -145 -12"
	"boxmaxs" "29 145 12"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors standing on trailer building by the collapsed silos
{
	"classname" "env_physics_blocker"
	"origin" "1153 -4250 564"
	"angles" "0 50 0"
	"mins" "-175 -67 -300"
	"maxs" "175 67 300"
	"boxmins" "-175 -67 -300"
	"boxmaxs" "175 67 300"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block climbing on the broken wall by the trailer building
{
	"classname" "env_physics_blocker"
	"origin" "840 -4536 544"
	"mins" "-8 -120 -320"
	"maxs" "8 120 320"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from climbing on top of a silo by the 2 shacks on higher tickrates
{
	"classname" "env_physics_blocker"
	"origin" "2681 -4882 338"
	"mins" "-25 -18 -104"
	"maxs" "25 18 104"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the 2 shacks
{
	"classname" "env_physics_blocker"
	"origin" "3600 -5552 727"
	"mins" "-112 -72 -465"
	"maxs" "112 72 465"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "3500 -5860 727"
	"mins" "-100 -77 -465"
	"maxs" "100 77 465"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from climbing on generator poles
{
	"classname" "env_physics_blocker"
	"origin" "543 -4892 190"
	"mins" "-7 -5 -98"
	"maxs" "7 5 98"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2574 -4980 190"
	"mins" "-6 -6 -98"
	"maxs" "6 6 98"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "934 -5890 318"
	"mins" "-6 -6 -143"
	"maxs" "6 6 143"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1370 -13135 215"
	"mins" "-5 -6 -98"
	"maxs" "5 6 98"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from jumping over white cooling tank by the ramp drop
{
	"classname" "env_physics_blocker"
	"origin" "2061 -5488 160"
	"mins" "-49 -168 -68"
	"maxs" "49 168 68"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the fences by the 2 silos near the elevator
{
	"classname" "env_physics_blocker"
	"origin" "687 -7200 1312"
	"mins" "-2 -288 -1216"
	"maxs" "2 288 1216"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "671 -8488 1312"
	"mins" "-2 -88 -1216"
	"maxs" "2 88 1216"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "160 -8575 1312"
	"mins" "-512 -1.5 -1216"
	"maxs" "512 1.5 1216"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1395 -7405 1312"
	"angles" "0 -10 0"
	"mins" "-5 -265.5 -1216"
	"maxs" "5 265.5 1216"
	"boxmins" "-5 -265.5 -1216"
	"boxmaxs" "5 265.5 1216"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1197 -6946 1312"
	"angles" "0 -36 0"
	"mins" "-5 -265.5 -1216"
	"maxs" "5 265.5 1216"
	"boxmins" "-5 -265.5 -1216"
	"boxmaxs" "5 265.5 1216"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-815 -6465 1312"
	"angles" "0 -40 0"
	"mins" "-5 -397.9 -1216"
	"maxs" "5 397.9 1216"
	"boxmins" "-5 -397.9 -1216"
	"boxmaxs" "5 397.9 1216"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-492 -6054 1312"
	"angles" "0 -31 0"
	"mins" "-5 -134 -1216"
	"maxs" "5 134 1216"
	"boxmins" "-5 -134 -1216"
	"boxmaxs" "5 134 1216"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the truck by the warehouse near the elevator
{
	"classname" "env_physics_blocker"
	"origin" "41 -8191 1408"
	"angles" "0 -1.5 0"
	"mins" "-247 -53 -1120"
	"maxs" "247 53 1120"
	"boxmins" "-247 -53 -1120"
	"boxmaxs" "247 53 1120"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the fences by the gas station
{
	"classname" "env_physics_blocker"
	"origin" "13 -13267 1312"
	"angles" "0 -27.5 0"
	"mins" "-5 -132.5 -1216"
	"maxs" "5 132.5 1216"
	"boxmins" "-5 -132.5 -1216"
	"boxmaxs" "5 132.5 1216"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-90 -13501 1312"
	"angles" "0 -20 0"
	"mins" "-5 -132.5 -1216"
	"maxs" "5 132.5 1216"
	"boxmins" "-5 -132.5 -1216"
	"boxmaxs" "5 132.5 1216"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-197 -13732 1312"
	"angles" "0 -30 0"
	"mins" "-5 -132.5 -1216"
	"maxs" "5 132.5 1216"
	"boxmins" "-5 -132.5 -1216"
	"boxmaxs" "5 132.5 1216"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-372 -13907 1312"
	"angles" "0 -60 0"
	"mins" "-5 -132.5 -1216"
	"maxs" "5 132.5 1216"
	"boxmins" "-5 -132.5 -1216"
	"boxmaxs" "5 132.5 1216"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1384 -13972 1312"
	"mins" "-898 -5 -1216"
	"maxs" "898 5 1216"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2386 -13906 1312"
	"angles" "0 -120.5 0"
	"mins" "-5 -132.5 -1216"
	"maxs" "5 132.5 1216"
	"boxmins" "-5 -132.5 -1216"
	"boxmaxs" "5 132.5 1216"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2499 -13587 1312"
	"mins" "-5 -261.5 -1216"
	"maxs" "5 261.5 1216"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block survivors from standing on the edge of the truck by the gas station
{
	"classname" "env_physics_blocker"
	"origin" "-2148 -13104 665"
	"angles" "0 -30 0"
	"mins" "-43 -8 -567"
	"maxs" "43 8 567"
	"boxmins" "-43 -8 -567"
	"boxmaxs" "43 8 567"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                  OUT OF BOUNDS                  ==
; ==  Block players getting outside / under the map  ==
; =====================================================

; =====================================================
; ==                   STUCK SPOTS                   ==
; ==  Prevent players from getting stuck in the map  ==
; =====================================================
add:
; --- Prevent players from getting stuck by the cooling tank in the grinder area
{
	"classname" "prop_dynamic"
	"origin" "2269 -5422 191"
	"angles" "-90 270 0"
	"model" "models/props_mill/pipeset32d_128a.mdl"
	"solid" "6"
	"disableshadows" "1"
}

; =====================================================
; ==                 NUISANCE CHANGES                ==
; ==      Clipping improvements, QOL map changes     ==
; =====================================================
add:
; --- Clipping on windows in ducatel building by the construction site to stop players getting stuck
{
	"classname" "env_physics_blocker"
	"origin" "3910 -3139 261"
	"mins" "-224 -5 -3"
	"maxs" "224 5 3"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on floating tree in construction site
{
	"classname" "env_physics_blocker"
	"origin" "4999 -3381 109"
	"mins" "-69 -69 -7"
	"maxs" "69 69 7"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on various debris piles to stop players getting stuck
{
	"classname" "env_physics_blocker"
	"origin" "3234 -4558 122"
	"mins" "-40 -40 -7"
	"maxs" "40 40 7"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "3143 -4606 111"
	"mins" "-56 -61 -7"
	"maxs" "56 61 7"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "3143 -4577 125"
	"mins" "-52 -29 -7"
	"maxs" "52 29 7"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "3217 -4394 122"
	"angles" "0 30 0"
	"mins" "-16.5 -62.5 -6"
	"maxs" "16.5 62.5 6"
	"boxmins" "-16.5 -62.5 -6"
	"boxmaxs" "16.5 62.5 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "3020 -4419 106"
	"mins" "-23 -19.5 -7.5"
	"maxs" "23 19.5 7.5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "1039 -5131 118"
	"angles" "0 15 0"
	"mins" "-16.5 -62.5 -6"
	"maxs" "16.5 62.5 6"
	"boxmins" "-16.5 -62.5 -6"
	"boxmaxs" "16.5 62.5 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "1020 -5049 117"
	"angles" "0 15 0"
	"mins" "-16.5 -62.5 -6"
	"maxs" "16.5 62.5 6"
	"boxmins" "-16.5 -62.5 -6"
	"boxmaxs" "16.5 62.5 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "1037 -5181 96"
	"angles" "0 15 0"
	"mins" "-44 -52 -5"
	"maxs" "44 52 5"
	"boxmins" "-44 -52 -5"
	"boxmaxs" "44 52 5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "1054 -4990 116"
	"angles" "0 75 0"
	"mins" "-16.5 -62.5 -6"
	"maxs" "16.5 62.5 6"
	"boxmins" "-16.5 -62.5 -6"
	"boxmaxs" "16.5 62.5 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "1017 -4969 101"
	"angles" "0 15 0"
	"mins" "-47.5 -28 -5"
	"maxs" "47.5 28 5"
	"boxmins" "-47.5 -28 -5"
	"boxmaxs" "47.5 28 5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "1027 -4981 110"
	"angles" "0 15 0"
	"mins" "-34.5 -28 -6"
	"maxs" "34.5 28 6"
	"boxmins" "-34.5 -28 -6"
	"boxmaxs" "34.5 28 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "1117 -4970 121"
	"angles" "0 75 -3"
	"mins" "-16.5 -46.2 -6"
	"maxs" "16.5 46.2 6"
	"boxmins" "-16.5 -46.2 -6"
	"boxmaxs" "16.5 46.2 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "1123 -4959 110"
	"mins" "-59 -31.5 -5"
	"maxs" "59 31.5 5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2014 -4960 104"
	"mins" "-161 -95.5 -7.5"
	"maxs" "161 95.5 7.5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "1177 -4977 99"
	"mins" "-127 -65 -6.5"
	"maxs" "127 65 6.5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2000 -5198 101"
	"mins" "-178 -72.5 -7"
	"maxs" "178 72.5 7"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "1286 -5192 97"
	"mins" "-108 -124 -7"
	"maxs" "108 124 7"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2227 -5077 118"
	"angles" "0 -15 0"
	"mins" "-16.5 -107.5 -6"
	"maxs" "16.5 107.5 6"
	"boxmins" "-16.5 -107.5 -6"
	"boxmaxs" "16.5 107.5 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "1803 -5152 103"
	"mins" "-19 -31 -6"
	"maxs" "19 31 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2005 -5021 124"
	"angles" "0 15 0"
	"mins" "-16.5 -59.5 -6"
	"maxs" "16.5 59.5 6"
	"boxmins" "-16.5 -59.5 -6"
	"boxmaxs" "16.5 59.5 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2211 -4975 123"
	"angles" "0 -15 0"
	"mins" "-29.5 -10 -5"
	"maxs" "29.5 10 5"
	"boxmins" "-29.5 -10 -5"
	"boxmaxs" "29.5 10 5"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "2192 -4936 104"
	"mins" "-24.5 -11 -6"
	"maxs" "24.5 11 6"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on floating tree by the collapsed silos
{
	"classname" "env_physics_blocker"
	"origin" "447 -4592 105"
	"mins" "-53 -53 -6"
	"maxs" "53 53 6"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on door of small shack before the ramp
{
	"classname" "env_physics_blocker"
	"origin" "3600 -5880 100"
	"mins" "-4 -40 -6"
	"maxs" "4 40 6"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Clipping on return point for ramp drop between the 2 silo sections to stop players getting stuck
{
	"classname" "env_physics_blocker"
	"origin" "2364 -5361 164"
	"angles" "-30 0 0"
	"mins" "-53 -43 -3"
	"maxs" "53 43 3"
	"boxmins" "-53 -43 -3"
	"boxmaxs" "53 43 3"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Improved clipping in grinder area between the 2 silo sections, replacing Valve's commentary blockers
{
	"classname" "env_physics_blocker"
	"origin" "2228 -5694 557"
	"mins" "-73 -57 -187"
	"maxs" "73 57 187"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2349 -5535 552"
	"mins" "-117 -97 -192"
	"maxs" "117 97 192"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2223 -5512 552"
	"mins" "-8 -12 -192"
	"maxs" "8 12 192"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2272 -5386 552"
	"mins" "-41 -55 -192"
	"maxs" "41 55 192"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "1656 -5364 552"
	"mins" "-576 -33 -192"
	"maxs" "576 33 192"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "1927 -5824 552"
	"mins" "-32 -428 -192"
	"maxs" "32 428 192"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "1696 -6290 552"
	"mins" "-616 -38 -192"
	"maxs" "616 38 192"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "1537 -6134 552"
	"mins" "-254 -118 -192"
	"maxs" "254 118 192"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "1536 -5480 552"
	"mins" "-193 -85 -192"
	"maxs" "193 85 192"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "1354 -5728 552"
	"mins" "-48 -100 -192"
	"maxs" "48 100 192"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "1112 -5824 552"
	"mins" "-32 -428 -192"
	"maxs" "32 428 192"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "745 -5421 552"
	"mins" "-336 -90 -192"
	"maxs" "336 90 192"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "727 -5572 552"
	"mins" "-33 -61 -192"
	"maxs" "33 61 192"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Additional wire spools to indicate a clipbrush
{
	"classname" "prop_dynamic"
	"origin" "394 -7397 311"
	"angles" "0 159 180"
	"model" "models/props_industrial/wire_spool_02.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "360 -7437 259"
	"angles" "0 21 0"
	"model" "models/props_industrial/wire_spool_02.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "427 -7451 259"
	"angles" "0 21 0"
	"model" "models/props_industrial/wire_spool_01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "392 -7397 364"
	"angles" "0 159 180"
	"model" "models/props_industrial/wire_spool_01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "359 -7436 312"
	"angles" "0 21 0"
	"model" "models/props_industrial/wire_spool_01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "426 -7451 312"
	"angles" "0 21 0"
	"model" "models/props_industrial/wire_spool_02.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "392 -7393 417"
	"angles" "0 159 -180"
	"model" "models/props_industrial/wire_spool_02.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "358 -7436 365"
	"angles" "0 21 0"
	"model" "models/props_industrial/wire_spool_02.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "428 -7451 365"
	"angles" "0 21 0"
	"model" "models/props_industrial/wire_spool_02.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Pipe by the 2 silos to block a gap that looks like players can fit through, but is too small
{
	"classname" "prop_dynamic"
	"origin" "-553 -7087 217"
	"angles" "-90 223 0"
	"model" "models/props_pipes/pipeset08d_256_001a.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clipping on platform by elevator so players dont have to jump to get on it in certain places
{
	"classname" "env_physics_blocker"
	"origin" "-1336 -9554 99"
	"mins" "-348 -66 -3"
	"maxs" "348 66 3"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Plywood behind TLS infected ladder on gas station roof for visibility
{
	"classname" "prop_dynamic"
	"origin" "-1214 -13640 429"
	"angles" "-90 0 0"
	"model" "models/props_highway/plywood_01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Add missing windows to pickup by gas station
{
	"classname" "prop_dynamic"
	"origin" "-564 -13268 123"
	"angles" "0 297 0"
	"model" "models/props_vehicles/pickup_truck_78_glass.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Teleport trigger to prevent tanks from spawning under the map before the elevator
{
	"classname" "logic_auto"
	"OnMapSpawn" "tank_under_map_teleport,AddOutput,mins -1088 -1152 -306,0,-1"
	"OnMapSpawn" "tank_under_map_teleport,AddOutput,maxs 1088 1152 306,0,-1"
	"OnMapSpawn" "tank_under_map_teleport,AddOutput,boxmins -1088 -1152 -306,0,-1"
	"OnMapSpawn" "tank_under_map_teleport,AddOutput,boxmaxs 1088 1152 306,0,-1"
	"OnMapSpawn" "tank_under_map_teleport,AddOutput,solid 2,0,-1"
}
{
	"classname" "trigger_teleport"
	"origin" "-384 -7552 -237"
	"targetname" "tank_under_map_teleport"
	"filtername" "filter_infected"
	"spawnflags" "1"
	"StartDisabled" "0"
	"target" "tank_under_map_teleport_position"
	"landmark" "tank_under_map_teleport_landmark"
}
{
	"classname" "filter_activator_team"
	"origin" "-384 -7552 142"
	"targetname" "filter_infected"
	"Negated" "0"
	"filterteam" "3"
}
{
	"classname" "info_teleport_destination"
	"origin" "-384 -7552 142"
	"angles" "0 0 0"
	"targetname" "tank_under_map_teleport_position"
}
{
	"classname" "info_landmark"
	"origin" "-384 -7552 48"
	"angles" "0 0 0"
	"targetname" "tank_under_map_teleport_landmark"
}
; --- Block the large hole in the map under the floor before the elevator
{
	"classname" "env_physics_blocker"
	"origin" "-192 -7808 -336"
	"mins" "-192 -192 -304"
	"maxs" "192 192 304"
	"initialstate" "1"
	"BlockType" "0"
}


; ###########  ADDITIONAL PROPS AND SPAWNS  ###########
; =====================================================
; ==                      PROPS                      ==
; ==       New props for balance and SI spawns       ==
; =====================================================
add:
; --- Generator in construction site
{
	"classname" "prop_dynamic"
	"origin" "4853 -3596 108"
	"angles" "2.18326 219.075 0.482502"
	"model" "models/props_vehicles/floodlight_generator_nolight_static.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Fix LOS under generator
{
	"classname" "logic_auto"
	"OnMapSpawn" "losfix_generator_con_site1,AddOutput,mins -1 -38 -12,0,-1"
	"OnMapSpawn" "losfix_generator_con_site1,AddOutput,maxs 1 38 12,0,-1"
	"OnMapSpawn" "losfix_generator_con_site1,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "losfix_generator_con_site2,AddOutput,mins -20 -1 -12,0,-1"
	"OnMapSpawn" "losfix_generator_con_site2,AddOutput,maxs 20 1 12,0,-1"
	"OnMapSpawn" "losfix_generator_con_site2,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "4841 -3583 116"
	"targetname" "losfix_generator_con_site1"
}
{
	"classname" "func_brush"
	"origin" "4863 -3602 116"
	"targetname" "losfix_generator_con_site2"
}
; --- Additional porta potty in the construction site
{
	"classname" "prop_dynamic"
	"origin" "4481 -4413 112"
	"angles" "-2.93438 12.016 -0.624281"
	"model" "models/props_urban/outhouse001.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Prop on roof by 2 silos for spawns
{
	"classname" "prop_dynamic"
	"origin" "494 -7650 354"
	"angles" "0 270 26.5"
	"model" "models/props_rooftop/acvent05.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "494 -8030 358"
	"angles" "0 270 27"
	"model" "models/props_rooftop/acvent05.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Metal plates on the outside of the elevator to block scratching and help with spawns
{
	"classname" "prop_dynamic"
	"origin" "-1453 -9608.1 684"
	"angles" "90 90 0"
	"model" "models/props_urban/metal_plate001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "scrath_blocker_lighting1"
}
{
	"classname" "prop_dynamic"
	"origin" "-1501 -9608 684"
	"angles" "90 90 0"
	"model" "models/props_urban/metal_plate001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "scrath_blocker_lighting1"
}
{
	"classname" "prop_dynamic"
	"origin" "-1553.1 -9573 684"
	"angles" "90 0 0"
	"model" "models/props_urban/metal_plate001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "scrath_blocker_lighting1"
}
{
	"classname" "prop_dynamic"
	"origin" "-1553 -9525 684"
	"angles" "90 0 0"
	"model" "models/props_urban/metal_plate001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "scrath_blocker_lighting1"
}
{
	"classname" "prop_dynamic"
	"origin" "-1453 -9608.1 204"
	"angles" "90 90 0"
	"model" "models/props_urban/metal_plate001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "scrath_blocker_lighting2"
}
{
	"classname" "prop_dynamic"
	"origin" "-1501 -9608 204"
	"angles" "90 90 0"
	"model" "models/props_urban/metal_plate001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "scrath_blocker_lighting2"
}
{
	"classname" "prop_dynamic"
	"origin" "-1553.1 -9573 204"
	"angles" "90 0 0"
	"model" "models/props_urban/metal_plate001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "scrath_blocker_lighting2"
}
{
	"classname" "prop_dynamic"
	"origin" "-1553 -9525 204"
	"angles" "90 0 0"
	"model" "models/props_urban/metal_plate001.mdl"
	"solid" "6"
	"disableshadows" "1"
	"lightingorigin" "scrath_blocker_lighting2"
}
; --- Fix lighting origin
{
	"classname" "info_target"
	"origin" "-1553.1 -9573 684"
	"targetname" "scrath_blocker_lighting1"
}
{
	"classname" "info_target"
	"origin" "-1553.1 -9573 204"
	"targetname" "scrath_blocker_lighting2"
}

; =====================================================
; ==             LADDER / ELEVATOR NERF              ==
; ==   Nerf ladder & elevator attacks for infected   ==
; =====================================================
add:
; --- Railings in the elevator to stand on
{
	"classname" "prop_dynamic"
	"origin" "-1525 -9568 139"
	"angles" "0 90 0"
	"model" "models/props_mill/mill_railing_36.mdl"
	"solid" "6"
	"disableshadows" "1"
	"parentname" "elevator"
	"rendercolor" "219 204 23"
}
{
	"classname" "prop_dynamic"
	"origin" "-1525 -9528 139"
	"angles" "0 90 0"
	"model" "models/props_mill/mill_railing_36.mdl"
	"solid" "6"
	"disableshadows" "1"
	"parentname" "elevator"
	"rendercolor" "219 204 23"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1525 -9548 160"
	"mins" "-1 -37 -22"
	"maxs" "1 37 22"
	"initialstate" "1"
	"BlockType" "0"
	"parentname" "elevator"
}


; ############  MAP SOUND AND GFX CHANGES  ############
; =====================================================
; ==                  SOUND REMOVAL                  ==
; ==    Remove or adjust sounds played by the map    ==
; =====================================================

; =====================================================
; ==             GFX / PARTICLES REMOVAL             ==
; ==        Remove visual effects from the map       ==
; =====================================================


; ###############  TRIGGERS AND BRUSHES  ##############
; =====================================================
; ==                   CLIP REMOVAL                  ==
; ==      Remove miscellaneous clips and brushes     ==
; =====================================================
; --- Remove Valve's commentary blockers so we can replace them with our own
add:
{
	"classname" "logic_auto"
	"OnMapSpawn" "env_player_blocker,Kill,,15,-1"
}
add:
; --- Re-add Valve's blockers copied directly from c4m2_sugarmill_a_commentary.txt, excluding the ones we don't want
; --- Block survivors from standing on the outside of the elevator building by the 2 silos
{
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "8 8 164"
	"mins" "-20 -8 -8"
	"origin" "-360 -8440 632"
	"mapupdate" "1"
}
; --- Block survivors from climbing up the brick wall by the collapsed silo area
{
	"classname" "env_physics_blocker"
	"BlockType" "0"
	"initialstate" "1"
	"maxs" "38 11 28"
	"mins" "-70 -11 -8"
	"origin" "1214 -4856 168"
	"mapupdate" "1"
}
{
	"classname" "env_physics_blocker"
	"BlockType" "0"
	"initialstate" "1"
	"maxs" "8 11 88"
	"mins" "-48 -11 -8"
	"origin" "1136 -4856 108"
	"mapupdate" "1"
}
; --- Block survivors from climbing on the wall in the grinder area by the 2 silos
{
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "50 800 1000"
	"mins" "0 0 0"
	"origin" "208 -6112 359"
	"mapupdate" "1"
}
; --- Block survivors from jumping up top in the grinder area - REMOVED, replaced with own clips
;{
;	"classname" "env_physics_blocker"
;	"BlockType" "1"
;	"initialstate" "1"
;	"maxs" "1000 300 1000"
;	"mins" "0 0 0"
;	"origin" "256 -5632 359"
;	"mapupdate" "1"
;}
;{
;	"classname" "env_physics_blocker"
;	"BlockType" "1"
;	"initialstate" "1"
;	"maxs" "1400 1000 1000"
;	"mins" "0 0 0"
;	"origin" "1071.14 -6319.28 385"
;	"mapupdate" "1"
;}
; --- Block survivors from climbing on the pipe by the elevator
{
	"classname" "env_physics_blocker"
	"BlockType" "1"
	"initialstate" "1"
	"maxs" "50 50 500"
	"mins" "0 0 0"
	"origin" "-1535 -9144.59 614.604"
	"mapupdate" "1"
}
; --- Block jesus spot on spools by the 2 silos - REMOVED, nav fixes vscript fixes jesus spot here, so no need to replace this
;{
;	"classname" "env_physics_blocker"
;	"BlockType" "1"
;	"initialstate" "1"
;	"maxs" "62 62 500"
;	"mins" "0 0 0"
;	"targetname" "blocker_spool_survival"
;	"origin" "502 -6628 200"
;	"mapupdate" "1"
;}

; =====================================================
; ==              TRIGGER REMOVAL / FIX              ==
; ==    Fix triggers that interfere with gameplay    ==
; =====================================================


; #############  LADDER CHANGES AND FIXES  ############
; =====================================================
; ==             LADDER ADDITIONS / FIXES            ==
; ==              Add or change ladders              ==
; =====================================================
; --- Infected ladder to climb on to the pipe at the ramp drop return point
{
	"classname" "func_simpleladder"
	"origin" "-388 -1438.5 -240.25"
	"angles" "0 0 0"
	"model" "*116"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to climb up at the ramp drop
{
	"classname" "func_simpleladder"
	"origin" "-581.34 -9798.38 -6.25"
	"angles" "0 90 0"
	"model" "*148"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Infected ladder to get on the gas station roof from the street without jumping over props
{
	"classname" "func_simpleladder"
	"origin" "-4070 -7013 -46.25"
	"angles" "0 0 0"
	"model" "*79"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Survivor ladder at the back of the gas station to get on the roof
{
	"classname" "prop_dynamic"
	"origin" "-1586 -13843 234"
	"angles" "0 0 0"
	"model" "models/props/cs_office/ladder1.mdl"
	"solid" "0"
	"disableshadows" "1"
}
modify:
{
	match:
	{
		"hammerid" "464863"
	}
	replace:
	{
		"team" "0"
	}
}


; #######  KASKA|KREVIK FILTERING  ######
; =====================================================
; ==                   BLANK HEADER                  ==
; ==                Blank description                ==
; =====================================================
;----PILLS IN SAFEROOM REMOVAL----;
filter:
{
	"hammerid" "1543265"
}
filter:
{
	"hammerid" "1543267"
}
filter:
{
	"hammerid" "1542827"
}
filter:
{
	"hammerid" "1542829"
}
filter:
{
	"hammerid" "1546119"
}
filter:
{
	"hammerid" "1546121"
}
filter:
{
	"hammerid" "453424"
}
filter:
{
	"hammerid" "453422"
}
filter:
{
	"hammerid" "453426"
}
filter:
{
	"hammerid" "453393"
}
filter:
{
	"hammerid" "453420"
}